Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Как распаковать "новый" deb-пакет (tar.xz) (14.04) в "старой" (10.04) системе?  (Прочитано 3815 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
Всем привет.
Имеется Ubuntu 10.04. Пытаюсь в нее установить пакет не то из 13-й, не то из 14-й версии убунты, ругается
Цитировать
dpkg-deb: файл ...deb содержит не распознаваемый компонент данных data.tar.xz     , сдаёмся
даже просто распаковать в папку не могу. Естессно, через mc тоже ничего не видно.
Подскажи, мировой разум, как мне, все ж, в моей старой убунте распаковать deb-пакет, собранный по-новому.

Спасибо!

З.Ы. Я так понимаю, нынче используют какой-то другой архиватор, который, якобы, на 20% эффективнее все жмет. Тут, собственно, и порылась собака.
« Последнее редактирование: 03 Июль 2014, 13:06:33 от GreatFoolDad »
не важно, из какого места растут золотые руки

chemtech

  • Гость
Врят ли получится.
Какой пакет ставите?

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
Врят ли получится.
Какой пакет ставите?
libssl1.0.0_1.0.1f-1ubuntu2.4_i386.deb и multiarch-support_2.19-0ubuntu6_i386.deb

щас мысль пришла - а если из просто Debiah их же взять? Может там их все еще пакуют по-старому. Попробую
не важно, из какого места растут золотые руки

chemtech

  • Гость
Какая цель установки?

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
На самом деле мне только libssl1.0 нужен. Для запуска одной проприетарной софтины, которая, почему-то, желает видеть имено версию 1.0, а не 0.98.

Может и не получится установить. Но это уже будет отдельная тема - как да почему. Тут быхоть просто распаковать его.

В принципе, это ведь проблема установки "xz-unpacker"-а
« Последнее редактирование: 03 Июль 2014, 13:19:14 от GreatFoolDad »
не важно, из какого места растут золотые руки

chemtech

  • Гость
« Последнее редактирование: 03 Июль 2014, 14:00:21 от chemtech »

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
]http://packages.ubuntu.com/trusty/libssl1.0.0
именно он и не распаковывается - так же ругается, как в первом посте

Нашел я нормальный (тот, который нормально распаковывается в моей убунте) пакет, но счастья мне это не принесло. Ему нужен libc6 версии сильно большей, чем у меня и т.д....
Короче, не получилось. Но ответ на оригинальный вопрос топика, наверное, кому-то бы пригодился.
« Последнее редактирование: 03 Июль 2014, 13:56:28 от GreatFoolDad »
не важно, из какого места растут золотые руки

Оффлайн satch

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1561
  • Kubuntu 15.10 amd64
    • Просмотр профиля
система 32-х битная?
Наше желание помочь прямопропорционально вашему желанию решить проблему

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
система 32-х битная?
да. я в начале не написал, сорри.
не важно, из какого места растут золотые руки

chemtech

  • Гость
Она есть в репозитории
sudo aptitude install libssl1.0.0

Оффлайн satch

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1561
  • Kubuntu 15.10 amd64
    • Просмотр профиля
http://gfile.ru/a8Vnj
там data.tar.xz со всеми библиотеками. версия 1.0.1f-1ubuntu2.4
Наше желание помочь прямопропорционально вашему желанию решить проблему

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
http://gfile.ru/a8Vnj
там data.tar.xz со всеми библиотеками. версия 1.0.1f-1ubuntu2.4
Спасибо! Я нашел такой же пакет где-то в недрах Debiah, но мне это не помогло. Для работы софтины нужен именно честно установленный пакет, для чего надо как минимум libc6 версии 2.13 и выше, тогда как у меня 2.11.
Конечно я подсунул либы, но "факир был пьян и фокус не удался".
не важно, из какого места растут золотые руки

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5115
    • Просмотр профиля

Оффлайн victor00000

  • Старожил
  • *
  • Сообщений: 14865
  • Я не слышу.
    • Просмотр профиля
exe игра не даёт, а теперь я нашёл
бинару
cat file.exe | base64 > file.exe.txtкак думаете?
~.o

Оффлайн GreatFoolDad

  • Автор темы
  • Участник
  • *
  • Сообщений: 242
    • Просмотр профиля
http://blog.matoski.com/articles/upgrade-libssl-on-ubuntu-lucid-10-04/
А вот за это спасибо! Щас попробую.




Пользователь решил продолжить мысль 03 Июль 2014, 17:09:45:

Нет, блин, не получится у меня собрать!
sudo apt-src install libssl1.0.0
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
ВНИМАНИЕ: упаковка openssl поддерживается в системе контроля версий Svn:
svn://svn.debian.org/pkg-openssl/openssl/
Пропускаем уже скачанный файл 'openssl_1.0.1.orig.tar.gz'
Необходимо получить 103kб архивов исходного кода.
Получено:1 http://archive.ubuntu.com/ubuntu/ precise/main openssl 1.0.1-4ubuntu3 (dsc) [2 370B]
Получено:2 http://archive.ubuntu.com/ubuntu/ precise/main openssl 1.0.1-4ubuntu3 (diff) [101kB]
Получено 103kБ за 3с (31,7kБ/c)           
Пропускается распаковка уже распакованного исходного кода в openssl-1.0.1
dpkg-checkbuilddeps: предупреждение: не удалось проанализировать зависимость ted_ru-ru
dpkg-checkbuilddeps: Неудовлетворённые сборочные зависимости: debhelper (>= 8.1.3) dpkg-dev (>= 1.15.7)
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
E: Зависимость типа Build-Depends для openssl не может быть удовлетворена, поскольку ни одна из версий пакета debhelper не удовлетворяет требованиям
E: Unable to satisfy build dependencies for openssl
debhelper и dpkg-dev старые. Видимо, обновляться надо с 10.04 на какой-нить более новый LT









Пользователь решил продолжить мысль 03 Июль 2014, 17:03:05:
exe игра не даёт, а теперь я нашёл
бинару
cat file.exe | base64 > file.exe.txtкак думаете?

Даже не знаю, что на это сказать. ПРедлагаете запостить сюда таким макаром трояна?
« Последнее редактирование: 03 Июль 2014, 17:07:49 от GreatFoolDad »
не важно, из какого места растут золотые руки

 

Страница сгенерирована за 0.06 секунд. Запросов: 25.